BP Classic

Descrizione

L’add-on BP Classic viene sviluppato e mantenuto dal team di sviluppo ufficiale di BuddyPress.

È stato creato per fornire la retrocompatibilità alle configurazioni in cui sono attivati plugin o temi di BuddyPress di terze parti, non ancora pronti per l’API BP Rewrites (introdotta in BuddyPress 12.0.0).

BP Classic include anche funzioni e template che sono completamente deprecati in BuddyPress 12.0.0. Ecco quelli che ora ritroverai solo dopo aver attivato l’add-on BP Classic:

  • I widget di BP Legacy (sono stati migrati come blocchi in BuddyPress 9.0.0).
  • Tema predefinito di BP.
  • La navigazione delle variabili globali di BP Legacy (buddypress()->bp_nav & buddypress()->bp_options_nav).

NB: sebbene l’add-on BP Classic funzioni solo quando la versione di BuddyPress è uguale alla 12.0.0 o superiore, puoi scegliere di anticipare l’aggiornamento a BuddyPress 12.0.0 attivando l’add-on. In questo caso il componente aggiuntivo è in “modalità sleep” e si risveglierà non appena BuddyPress verrà aggiornato alla versione 12.0.0.

Unisciti alla community di BuddyPress

Se sei interessato a contribuire a BuddyPress, ci piacerebbe averti. Vai alla documentazione BuddyPress per scoprire come intervenire.

Far crescere la community di BuddyPress significa software migliore per tutti!

Screenshot

  • **La scheda delle impostazioni per associare una pagina di WP ad una directory di BP.

Installazione

Requisiti

  • WordPress 5.8.
  • BuddyPress 12.0.0.

Installazione automatica

Utilizzando l’installazione automatica, WordPress si occuperà di tutto da solo. Per effettuare l’installazione automatica di BP Classic, accedi alla bacheca di WordPress, vai nel menu “Plugin”. Clicca sul link “Aggiungi nuovo”, quindi attiva la scheda “Add-on di BuddyPress” per trovare rapidamente la scheda del plugin BP Classic.
Una volta trovato il plugin BP Classic, puoi visualizzare i dettagli dell’ultima versione, come le recensioni della community, le valutazioni e la descrizione. Installa il plugin BP Classic premendo semplicemente “Installa ora”.

FAQ

Dove posso trovare aiuto?

La nostra community fornisce supporto gratuito su https://buddypress.org/support/.

Dove segnalo un bug?

Segnala bug o suggerisci idee su https://github.com/buddypress/bp-classic/issues, partecipa allo sviluppo di questo plugin su https://github.com/buddypress/bp-classic/pulls.

Chi sviluppa il plugin BP Classic per la retrocompatibilità di BuddyPress?

Il plugin BP Classic è un plugin per la retrocompatibilità di BuddyPress ed è un software libero, realizzato da una community internazionale di volontari. Alcuni collaboratori di BuddyPress sono dipendenti di aziende che utilizzano BuddyPress, mentre altri sono consulenti che offrono servizi a pagamento legati a BuddyPress. Nessuno viene pagato dal progetto BuddyPress per i suoi contributi.

Se desideri fornire un supporto monetario a BP Classic oppure a BuddyPress, ti invitiamo a considerare una donazione alla WordPress Foundation, oppure chiedi al tuo collaboratore preferito come preferisce che vengano ricompensati i suoi sforzi.

Recensioni

Non ci sono recensioni per questo plugin.

Contributi e sviluppo

“BP Classic” è un software open source. Le persone che hanno contribuito allo sviluppo di questo plugin sono indicate di seguito.

Collaboratori

“BP Classic” è stato tradotto in 7 lingue. Grazie ai traduttori per i loro contributi.

Traduci “BP Classic” nella tua lingua.

Ti interessa lo sviluppo?

Esplora il codice segui il repository SVN, segui il log delle modifiche tramite RSS.

Changelog (registro delle modifiche)

1.4.0

  • Assicurati che la paginazione dei topic / risposte di bbPress si comporti come previsto con BuddyPress 12.0 & up (vedi #44).

1.3.0

  • Se necessario, passa al blog principale di BP durante la migrazione delle directory (vedi #33).
  • Assicurati che i tooltip siano utilizzati nei widget Legacy (vedi #35 & #39).
  • Usa uno script npm per ottenere BP Default (vedi #37).
  • Migliorare il modo in cui controlliamo che BP Nouveau sia l’attuale BP Template Pack in uso (vedi #41).

1.2.0

  • Evita un problema di mancata corrispondenza dei tipi durante il processo di migrazione (vedi #27).
  • Controlla solo se la configurazione e la versione attuale di BuddyPress sono corrette (vedi #28).
  • Assicurati che lo script di migrazione venga eseguito sul Multisito (vedi #31).

1.1.0

  • Assicurati che BP Classic sia attivato allo stesso livello del network di BuddyPress (vedi #21).
  • Migliora il modo in cui viene registrata la directory dei temi (vedi #23).

1.0.0

Versione iniziale del plugin.